FC152 price and stock

FC152 Details
Register or Sign In to sort your Preferred Distributors to the top of the list!

Authorized Distributors

  • Abracon
  • Analog Devices Inc
  • Arrow
  • Avnet Americas
  • Bisco
  • Braemac Americas-Symmetry
  • Coilcraft
  • ComSIT USA
  • Cytech Systems Limited
  • DB Roberts
  • DigiKey
  • Dynamic Solutions
  • ECCO
  • Fairview Microwave
  • FDH Electronics
  • Flip Electronics
  • Future Electronics
  • GLYN
  • Heilind Americas
  • Interstate Connecting
  • L-com US
  • Maritex
  • Master Electronics
  • Microchip Technology
  • Mouser
  • NAC
  • New Advantage
  • Newark
  • NXP
  • Onlinecomponents.com
  • Pasternack Enterprises
  • PEI Genesis
  • Powell Electronics
  • PUI
  • RECOM Power
  • Relay Specialties
  • Richardson RFPD
  • Rochester
  • RS
  • Rutronik
  • Sager
  • Samtec
  • SiTime Corporation
  • STMicroelectronics
  • TE Connectivity
  • Teledyne HiRel
  • TME
  • TTI
  • Venkel Ltd.
  • Verical
  • Waytek, Inc.
  • Wuhan P&S

Independent Distributors

  • ADMATI Agencies
  • Ameya
  • Bristol
  • Chip 1 Exchange
  • Chip Stock
  • Chip-Germany GmbH
  • Component Electronics, Inc
  • Futuretech Components
  • Greenchips
  • IBS Electronics
  • LCSC
  • MacroQuest
  • Neutron USA
  • NexGen Digital
  • Quest
  • Sense Electronic
  • Sensible Micro Corp
  • Shengyu Electronics
  • Unikey Electronic
  • Vyrian
  • Win Source Electronics
Show Filters
Select Manufacturer

Update Alert Settings for: FC152

Select Manufacturer
Which Manufacturer of FC152 would you like to use for your alert(s)?
  • Please alert me when FC152 inventory levels are or equal to a quantity of from one of my selected distributors.
  • Also alert me for FC152 alternates
    An alert is already set for the following part(s): . Any existing alert will be overwritten and set as a new alert.
No pricing information is available at this time
  • Please alert me when the single part price for FC152 to
    $
    for at least parts from one of my selected distributors.
    Your Pricing Alert is set to expire on .
    Set this alert to expire in Update this alert to expire · Expired on
  • Also alert me for FC152 alternates
    An alert is already set for the following part(s): . Any existing alert will be overwritten and set as a new alert.

Your part alert has been saved!

Alerts are triggered based off of individual distributors that you choose. Select your distributor(s) below.

Your part alert has been saved!

Register
Password Guidelines

Is at least 8 characters in length

Is at most 256 characters in length

Must include at least 3 of the following:

One lower-case character (a-z)

One upper-case character (A-Z)

One numeric character (0-9)

One special character (!#$%^&*)

Alert is successfully saved for FC152.
Looks like you've reached your alert limit!  Please delete some alerts or contact us if you need help.
arrow upTOP
Price includes all import duties and tariffs for applicable products

Newark ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
VFC-152 DISTI # 13AM1105
Dwyer Instruments Inc Liquid Flowmeter, 40Lpm, 100Psi, 1" Fnpt, |Dwyer VFC-152 RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-152 Part Details 0
  • 1 $281.1000
$281.1000 Buy Now VFC-152 Part Details
VFC-152 DISTI # 82AK8752
Dwyer Instruments Inc Liquid Flowmeter, 40Lpm, 100Psi, 1" Fnpt, Flow Rate Min:4L/Min, Flow Rate Max:40L/Min, Supply Voltage Min:-, Supply Voltage Max:-, Product Range:Visi-Float Vfc Series, Accuracy:2%, Port Size:1", Pressure Max:100Psi Rohs Compliant: Yes |Dwyer VFC-152 RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-152 Part Details 0
  • 1 $205.1500
$205.1500 Buy Now VFC-152 Part Details
VFC-152-EC DISTI # 13AM1106
Dwyer Instruments Inc Liquid Flowmeter, 40Lpm, 100Psi, 1" Fnpt, |Dwyer VFC-152-EC RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-152-EC Part Details 0
  • 1 $303.4900
$303.4900 Buy Now VFC-152-EC Part Details
VFC-152-EC DISTI # 82AK8753
Dwyer Instruments Inc Liquid Flowmeter, 40Lpm, 100Psi, 1" Fnpt, Flow Rate Min:4L/Min, Flow Rate Max:40L/Min, Supply Voltage Min:-, Supply Voltage Max:-, Product Range:Visi-Float Vfc Series, Accuracy:2%, Port Size:1", Pressure Max:100Psi Rohs Compliant: Yes |Dwyer VFC-152-EC RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-152-EC Part Details 0
  • 1 $221.5000
$221.5000 Buy Now VFC-152-EC Part Details
0976 PFC 152 DISTI # 12X1934
Lumberg Automation 0976 Pfc 152, |Lumberg Automation 0976 PFC 152 RoHS: Not Compliant Min Qty: 10 Package Multiple: 1 Date Code: 0 Container: Bulk 0976 PFC 152 Part Details 0
  • 10 $19.3600
$19.3600 Buy Now 0976 PFC 152 Part Details
ADFC15-2450.00-A-T DISTI # 96W7780
Abracon Corporation Dielectric Filter 2450Mhz 100Mhz Bandwid, |Abracon ADFC15-2450.00-A-T RoHS: Compliant Min Qty: 10000 Package Multiple: 1 Date Code: 0 Container: Tape & Reel ADFC15-2450.00-A-T Part Details 0
  • 10000 $0.1830
  • 30000 $0.1790
  • 50000 $0.1760
$0.1760 / $0.1830 Buy Now ADFC15-2450.00-A-T Part Details

View all 'FC152' results from Newark

DigiKey ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
ADFC15-2450.00-A-T DISTI # 535-12208-2-ND
Abracon Corporation RF FILTER BAND PASS 2.45GHZ 0402 Min Qty: 10000 Container: Tape & Reel ADFC15-2450.00-A-T Part Details 16917
Tape & Reel
  • 70000 $0.1323
  • 50000 $0.1363
  • 30000 $0.1426
  • 20000 $0.1478
  • 10000 $0.1571
$0.1323 / $0.1571 Buy Now ADFC15-2450.00-A-T Part Details
ADFC15-2450.00-A-T DISTI # 535-12208-6-ND
Abracon Corporation RF FILTER BAND PASS 2.45GHZ 0402 Min Qty: 1 Container: Digi-Reel ADFC15-2450.00-A-T Part Details 16917
Digi-Reel®
  • 5000 $0.1671
  • 1000 $0.1925
  • 500 $0.2047
  • 250 $0.2176
  • 100 $0.2360
  • 50 $0.2510
  • 25 $0.2668
  • 10 $0.2900
  • 1 $0.3600
$0.1671 / $0.3600 Buy Now ADFC15-2450.00-A-T Part Details
Everlight Electronics Co Ltd LED GREEN CLEAR 1206 SMD Min Qty: 1 Container: Digi-Reel QTLP650C4TR/FC15-21S... Part Details 9383
Digi-Reel®
  • 1000 $0.0693
  • 500 $0.0756
  • 100 $0.0947
  • 10 $0.1360
  • 1 $0.2000
$0.0693 / $0.2000 Buy Now QTLP650C4TR/FC15-21S... Part Details
Everlight Electronics Co Ltd LED GREEN CLEAR 1206 SMD Min Qty: 2000 Container: Tape & Reel QTLP650C4TR/FC15-21S... Part Details 9383
Tape & Reel
  • 20000 $0.0490
  • 14000 $0.0505
  • 10000 $0.0521
  • 6000 $0.0546
  • 4000 $0.0569
  • 2000 $0.0614
$0.0490 / $0.0614 Buy Now QTLP650C4TR/FC15-21S... Part Details
Everlight Electronics Co Ltd LED GREEN CLEAR 1206 SMD Min Qty: 1 Container: Cut Tape QTLP650C4TR/FC15-21S... Part Details 9363
Cut Tape
  • 1000 $0.0693
  • 500 $0.0756
  • 100 $0.0947
  • 10 $0.1360
  • 1 $0.2000
$0.0693 / $0.2000 Buy Now QTLP650C4TR/FC15-21S... Part Details
ADFC15-2450.00-A-T DISTI # 535-12208-1-ND
Abracon Corporation RF FILTER BAND PASS 2.45GHZ 0402 Min Qty: 1 Container: Cut Tape ADFC15-2450.00-A-T Part Details 6917
Cut Tape
  • 5000 $0.1671
  • 1000 $0.1925
  • 500 $0.2047
  • 250 $0.2176
  • 100 $0.2360
  • 50 $0.2510
  • 25 $0.2668
  • 10 $0.2900
  • 1 $0.3600
$0.1671 / $0.3600 Buy Now ADFC15-2450.00-A-T Part Details
MFC15-24S DISTI # 3550-MFC15-24S-ND
Arch Electronics Corporation 15W AC/DC Medical Module 24V Min Qty: 5 MFC15-24S Part Details 100
  • 100 $19.9700
  • 50 $20.3200
  • 25 $21.6100
  • 10 $23.8500
  • 5 $27.7900
$19.9700 / $27.7900 Buy Now MFC15-24S Part Details
VFC-152 DISTI # 5879-VFC-152-ND
Dwyer Instruments Inc FLOWMETER, RANGE 4-40 LPM WATER. Min Qty: 13 Container: Bulk VFC-152 Part Details 0
Bulk
  • 13 $205.3592
$205.3592 Buy Now VFC-152 Part Details
VFC-152-EC DISTI # 5879-VFC-152-EC-ND
Dwyer Instruments Inc FLOWMETER, RANGE 4-40 LPM WATER. Min Qty: 12 Container: Bulk VFC-152-EC Part Details 0
Bulk
  • 12 $221.7292
$221.7292 Buy Now VFC-152-EC Part Details
AFC15215-US DISTI # 1110-3293-ND
Panasonic Electronic Components CABLE ASSEMBLY INTERFACE 4.9' Container: Bulk AFC15215-US Part Details 0
Bulk
  Buy Now AFC15215-US Part Details
ECK-TFC152MF DISTI # P11435TR-ND
Panasonic Electronic Components CAP CER 1500PF 250VAC Y5V SMD Container: Tape & Reel ECK-TFC152MF Part Details 0
Tape & Reel
  Buy Now ECK-TFC152MF Part Details
AFC1520M-US9 DISTI # 1110-3113-ND
Panasonic Electronic Components CABLE ASSEMBLY PROGRAMMING 9.84' Container: Bulk AFC1520M-US9 Part Details 0
Bulk
  Buy Now AFC1520M-US9 Part Details
IMLTFC152S-C6L DISTI # 298-IMLTFC152S-C6L-ND
Panduit Corp CBL TIE LOCKING BLK 100LB 1.708' Min Qty: 100 Container: Bulk IMLTFC152S-C6L Part Details 0
Bulk
  • 100 $2.8903
$2.8903 Buy Now IMLTFC152S-C6L Part Details
IMLTFC152H-L6L DISTI # 298-IMLTFC152H-L6L-ND
Panduit Corp CBL TIE LOCKING BLK 200LB 1.708' Min Qty: 50 Container: Bulk IMLTFC152H-L6L Part Details 0
Bulk
  • 50 $3.1670
$3.1670 Buy Now IMLTFC152H-L6L Part Details
QTLP650C74TR/FC15-22SDRSYGC/S530-A2/TR8 DISTI # 1080-QTLP650C74TR/FC15-22SDRSYGC/S530A2/TR8TR-ND
Everlight Electronics Co Ltd QTLP650C74TR/FC15-22SDRSYGC/S530 Min Qty: 6000 Container: Tape & Reel QTLP650C74TR/FC15-22... Part Details 0
Tape & Reel
  • 6000 $0.2082
$0.2082 Buy Now QTLP650C74TR/FC15-22... Part Details

View all 'FC152' results from DigiKey

View all 'FC152' results from DigiKey

Mouser Electronics ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
ADFC15-2450.00-A-T DISTI # 815-ADFC15-2450-AT
Abracon Corporation Signal Conditioning 2.45 GHZ RoHS: Compliant ADFC15-2450.00-A-T Part Details 9537
  • 1 $0.5500
  • 10 $0.3700
  • 25 $0.3200
  • 100 $0.2770
  • 250 $0.2340
  • 500 $0.2160
  • 1000 $0.2040
  • 5000 $0.1760
  • 10000 $0.1610
$0.1610 / $0.5500 Buy Now ADFC15-2450.00-A-T Part Details
IMLTFC152H-L6L DISTI # 644-IMLTFC152H-L6L
Panduit Corp Cable Ties Fully Coated IMLT Tie, 316L SS, Heavy, 521mm (20.5"), 0.25 mm (0.010") thk RoHS: Compliant IMLTFC152H-L6L Part Details 0
  • 1 $3.6400
  • 10 $3.3700
  • 50 $3.0900
  • 100 $2.9800
  • 250 $2.9200
  • 500 $2.8500
  • 1000 $2.7900
  • 2500 $2.7400
$2.7400 / $3.6400 Order Now IMLTFC152H-L6L Part Details
0976 PFC 152 DISTI # 566-0976PFC152
Lumberg Automation Circular Metric Connectors RoHS: Compliant 0976 PFC 152 Part Details 0
  • 1 $23.0100
  • 10 $19.0000
  • 25 $18.4900
  • 50 $18.0900
  • 100 $17.6800
  • 250 $17.2800
$17.2800 / $23.0100 Order Now 0976 PFC 152 Part Details
0986 EFC 152 DISTI # 566-0986EFC152
Lumberg Automation Circular Metric Connectors RoHS: Compliant 0986 EFC 152 Part Details 0
  • 1 $22.3800
  • 10 $18.1700
  • 20 $17.9900
  • 50 $17.3400
  • 100 $16.6500
  • 200 $16.0600
  • 500 $15.8000
$15.8000 / $22.3800 Order Now 0986 EFC 152 Part Details
0936 DFC 152/2M DISTI # 566-0936DFC152/2M
Lumberg Automation Sensor Cables / Actuator Cables 0936 DFC 152/2M Part Details 0
  • 1 $37.0800
  • 10 $30.3000
  • 50 $29.7000
  • 100 $28.9100
  • 250 $28.0500
$28.0500 / $37.0800 Order Now 0936 DFC 152/2M Part Details
IMLTFC152S-C6L DISTI # 644-IMLTFC152S-C6L
Panduit Corp Cable Ties Fully Coated IMLT Tie, 316L SS, Standard, 521mm (20.5"), 0.25 mm (0.010") thk RoHS: Compliant IMLTFC152S-C6L Part Details 0
  • 1 $3.3900
  • 10 $3.1400
  • 25 $3.0500
  • 100 $2.7700
  • 300 $2.6900
  • 500 $2.6400
  • 1000 $2.5900
  • 2500 $2.5400
$2.5400 / $3.3900 Order Now IMLTFC152S-C6L Part Details
QTLP650C4TR/FC15-21SYGC/S530-E2/TR8 DISTI # 638-650C4TCS530E2TR8
Everlight Electronics Co Ltd Single Color LEDs QTLP650C4TR/FC15-21S... Part Details 0
  • 1 $0.1900
  • 10 $0.1310
  • 100 $0.0920
  • 500 $0.0730
  • 1000 $0.0670
  • 2000 $0.0610
  • 4000 $0.0540
  • 10000 $0.0490
  • 24000 $0.0450
$0.0450 / $0.1900 Order Now QTLP650C4TR/FC15-21S... Part Details
QTLP650C2TR/FC15-21SURC/S530-A3/TR8 DISTI # 638-521SURCS530A3TR8
Everlight Electronics Co Ltd Everlight QTLP650C2TR/FC15-21S... Part Details 0
  • 6000 $0.0810
  • 10000 $0.0730
  • 24000 $0.0700
$0.0700 / $0.0810 Order Now QTLP650C2TR/FC15-21S... Part Details
QTLP650C74TR/FC15-22SDRSYGC/S530-A2/TR8 DISTI # 638-DRSYGCS530A2TR8
Everlight Electronics Co Ltd Everlight QTLP650C74TR/FC15-22... Part Details 0
  • 6000 $0.2140
  • 10000 $0.1980
  • 24000 $0.1910
$0.1910 / $0.2140 Order Now QTLP650C74TR/FC15-22... Part Details
QTLP650C3TR/FC15-21UYC/S530-A3/TR8 DISTI # 638-650CFC1521UYCTR8
Everlight Electronics Co Ltd Single Color LEDs QTLP650C3TR/FC15-21U... Part Details 0
  • 6000 $0.0970
  • 10000 $0.0880
  • 24000 $0.0830
$0.0830 / $0.0970 Order Now QTLP650C3TR/FC15-21U... Part Details

View all 'FC152' results from Mouser Electronics

RS (Formerly Allied Electronics & Automation)

Part # Manufacturer Description Stock Price Price Range Buy
0976 PFC 152 (25005) DISTI # 71085063
Lumberg Automation RECEPTACLE CONNECTOR, M12 FEMALE CONNECTOR, 5 POLES, PRINTED, CONTACTS, 25005 Min Qty: 1 Package Multiple: 1 Lead time: 3 Weeks, 0 Days Container: Bulk 0976 PFC 152 (25005) Part Details 10
  • 1 $10.0500
$10.0500 Buy Now 0976 PFC 152 (25005) Part Details
VFC-152 DISTI # 71471210
Dwyer Instruments Inc FLOWMETER, 5" SCALE, END CONNECTION, 1" F NPT, VFC-152 4-40 LPM WATER Min Qty: 1 Package Multiple: 1 Container: Bulk VFC-152 Part Details 0
  • 1 $247.3000
$247.3000 RFQ VFC-152 Part Details
RFC-1522 DISTI # 70121254
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 24", NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1522 Part Details 0
  • 1 $11.6700
  • 10 $10.9700
  • 25 $10.5000
$10.5000 / $11.6700 RFQ RFC-1522 Part Details
RFC-1525 DISTI # 70121257
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 7FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1525 Part Details 0
  • 1 $16.3800
  • 10 $15.3900
  • 25 $14.7400
$14.7400 / $16.3800 RFQ RFC-1525 Part Details
RFC-1524 DISTI # 70121256
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 5FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1524 Part Details 0
  • 1 $14.5000
  • 10 $13.6300
  • 25 $13.0500
$13.0500 / $14.5000 RFQ RFC-1524 Part Details
RFC-1523 DISTI # 70121255
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 36", NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1523 Part Details 0
  • 1 $19.9400
  • 10 $18.7400
  • 25 $17.9400
$17.9400 / $19.9400 RFQ RFC-1523 Part Details
RFC-1521 DISTI # 70121253
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 12", NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1521 Part Details 0
  • 1 $10.7200
  • 10 $10.0800
  • 25 $9.6500
$9.6500 / $10.7200 RFQ RFC-1521 Part Details
RFC-1526 DISTI # 70121258
Quest Technology International Inc CABLE ASSEMBLY, SMA PLUG X2, RG-174/U CBL, 10FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1526 Part Details 0
  • 1 $19.1900
  • 10 $18.0400
  • 25 $17.2800
$17.2800 / $19.1900 RFQ RFC-1526 Part Details
DFC1520-01 DISTI # 75022953
Norgren CABLE,20M SEN 15P ANGL RTCH W/RATCHET CONN. ANGLED Min Qty: 1 Package Multiple: 1 Lead time: 5 Weeks, 0 Days Container: Bulk DFC1520-01 Part Details 0
  • 1 $2,203.6300
$2,203.6300 RFQ DFC1520-01 Part Details
VFC-152-EC DISTI # 71471211
Dwyer Instruments Inc FLOWMETER, 5" SCALE, END CONNECTION, 1" F NPT, VFC-152-EC 4-40 LPM WATER Min Qty: 1 Package Multiple: 1 Container: Bulk VFC-152-EC Part Details 0
  • 1 $225.9300
$225.9300 RFQ VFC-152-EC Part Details
AFC15215-US DISTI # 70419309
Panasonic Electronic Components CORDSET, FP0/M, ATM 1.5 METER CABLE Min Qty: 1 Package Multiple: 1 Container: Bulk AFC15215-US Part Details 0
  • 1 $76.4100
$76.4100 RFQ AFC15215-US Part Details
AFC15205-US DISTI # 70419307
Panasonic Electronic Components CORDSET, FP0/M-ATM CABLE 50CM Min Qty: 1 Package Multiple: 1 Container: Bulk AFC15205-US Part Details 0
  • 1 $67.6400
$67.6400 RFQ AFC15205-US Part Details
AFC1520M-US9 DISTI # 70036261
Panasonic Electronic Components CABLE,3M PROGRAMMING CABLE, MINI-DIN 5PIN TO DB9PIN Min Qty: 1 Package Multiple: 1 Container: Bulk AFC1520M-US9 Part Details 0
  • 1 $65.4900
$65.4900 RFQ AFC1520M-US9 Part Details
AFC15205-US-S DISTI # 70419308
Panasonic Electronic Components CORDSET, STRAIGHT, 0.5 METER, FP0/M TO ATM CABLE Min Qty: 1 Package Multiple: 1 Container: Bulk AFC15205-US-S Part Details 0
  • 1 $92.7600
  • 5 $88.1300
  • 10 $85.3400
$85.3400 / $92.7600 RFQ AFC15205-US-S Part Details
IMLTFC152S-C6L DISTI # 71947773
Panduit Corp STRONGHOLD FULLY COATED IMLT TIE, 316L SS, STANDARD, 20.5", 0.010" THICK Min Qty: 100 Package Multiple: 1 Container: Bulk IMLTFC152S-C6L Part Details 0
  • 100 $2.8000
  • 200 $2.6600
  • 400 $2.5500
$2.5500 / $2.8000 RFQ IMLTFC152S-C6L Part Details

View all 'FC152' results from RS

View all 'FC152' results from RS

TTI ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
ADFC15-2450.00-A DISTI # ADFC15-2450.00-A
Abracon Corporation Abracon 2.45 GHZ RoHS: Compliant pbFree: Pb-Free Min Qty: 10000 Package Multiple: 10000 Container: Reel ADFC15-2450.00-A Part Details Americas - 0   Buy Now ADFC15-2450.00-A Part Details

Heilind Americas ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
IMLTFC152S-C6L DISTI # PANIMLTFC152S-C6L
Panduit Corp FULLY COATED IMLT TIE, 316L SS IMLTFC152S-C6L Part Details Americas - 0 in Stock   Buy Now IMLTFC152S-C6L Part Details
IMLTFC152H-L6L DISTI # PANIMLTFC152H-L6L
Panduit Corp FULLY COATED IMLT TIE, 316L SS IMLTFC152H-L6L Part Details Americas - 0 in Stock   Buy Now IMLTFC152H-L6L Part Details

Sager ECIA (NEDA) Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
IMLTFC152S-C6L DISTI # 000000000006077050
Panduit Corp Cable Ties Fully Coated IMLT Tie, 316L SS, Standard Min Qty: 100 IMLTFC152S-C6L Part Details 0
  • 100 $2.3600
  • 300 $2.1800
  • 600 $2.1000
  • 1200 $2.1000
  • 2900 $2.0700
$2.0700 / $2.3600 Buy Now IMLTFC152S-C6L Part Details
IMLTFC152H-L6L DISTI # 000000000006077049
Panduit Corp Cable Ties Fully Coated IMLT Tie, 316L SS, Heavy, 5 Min Qty: 50 IMLTFC152H-L6L Part Details 0
  • 50 $2.8100
  • 150 $2.5400
  • 250 $2.3400
  • 550 $2.2500
  • 1100 $2.2500
  • 2750 $2.2300
$2.2300 / $2.8100 Buy Now IMLTFC152H-L6L Part Details

Bristol Electronics  

Part # Manufacturer Description Stock Price Price Range Buy
Panasonic Industry   EXK-TFC152MF Part Details 3000   RFQ EXK-TFC152MF Part Details
EVERLIGHT Electronics Co., Ltd   Min Qty: 1 QTLP650C3TR/FC15-21U... Part Details 1980
  • 850 $0.0975
  • 200 $0.1706
  • 35 $0.2438
  • 1 $0.4875
$0.0975 / $0.4875 Buy Now QTLP650C3TR/FC15-21U... Part Details
ITW Lumex   LPF-C152302S-49-1 Part Details 1832   RFQ LPF-C152302S-49-1 Part Details
Knowles CDE   Min Qty: 1 CD20FC152JO3 Part Details 385
  • 250 $2.4510
  • 150 $2.5650
  • 50 $2.6790
  • 20 $2.8500
  • 5 $3.7050
  • 1 $5.7000
$2.4510 / $5.7000 Buy Now CD20FC152JO3 Part Details
El-Menco   Min Qty: 1 DM20FC152KO3 Part Details 31
  • 20 $2.8500
  • 5 $3.7050
  • 1 $5.7000
$2.8500 / $5.7000 Buy Now DM20FC152KO3 Part Details

View all 'FC152' results from Bristol Electronics

Quest Components  

Part # Manufacturer Description Stock Price Price Range Buy
SANYO Semiconductor Co Ltd   FC152-YEC-TL Part Details 67200
  • 6258 $0.2055
  • 2921 $0.2398
  • 1 $0.6850
$0.2055 / $0.6850 Buy Now FC152-YEC-TL Part Details

TME ECIA Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
25005 0976 PFC 152 DISTI # 0976PFC152
Lumberg Automation Connector: M12, socket, PIN: 5, female, THT, B code-Profibus Min Qty: 1 25005 0976 PFC 152 Part Details 1
  • 100 $13.2600
  • 20 $14.4200
  • 5 $15.3200
  • 1 $17.2900
$13.2600 / $17.2900 Buy Now 25005 0976 PFC 152 Part Details
64161 DISTI # 0986EFC152
Lumberg Automation Connector: M12, PIN: 4, female, IP65,IP67, PCB, for panel mounting Min Qty: 1 64161 Part Details 0
  • 100 $8.8400
  • 50 $9.4100
  • 10 $10.1000
  • 1 $11.9400
$8.8400 / $11.9400 RFQ 64161 Part Details

Braemac Americas-Symmetry ECIA (NEDA) Member • Authorized Distributor

Part # Manufacturer Description Stock Price Price Range Buy
Abracon Corporation   Min Qty: 1 ADFC15-2450.00-A-T Part Details 0
  • 1 $0.1200
$0.1200 Buy Now ADFC15-2450.00-A-T Part Details

Vyrian  

Part # Manufacturer Description Stock Price Price Range Buy
Amphenol Corporation MIL Series Connector, Composite, Male, Receptacle JSFC1520MB-2AN Part Details 779   RFQ JSFC1520MB-2AN Part Details

Neutron USA  

Part # Manufacturer Description Stock Price Price Range Buy
Lumberg Connect GmbH Receptacle connector, M12 female connector, 5 poles, printed, contacts, 25005 0976 PFC 152 Part Details 10
  • 1 $39.9900
$39.9900 Buy Now 0976 PFC 152 Part Details
Lumberg Connect GmbH Receptacle Connector, Str M12 Female 4pos, D-coding, printed contacts, Rear Mt PG 9 0986 EFC 152 Part Details 0
  • 1 $75.3100
$75.3100 Buy Now 0986 EFC 152 Part Details

Unikey Electronic Pte Ltd  

Part # Manufacturer Description Stock Price Price Range Buy
Arch Electronics Corporation   Min Qty: 1 MFC15-24S Part Details 3
  • 1 $34.2620
  • 15 $32.6300
  • 50 $31.0764
  • 100 $29.5970
  • 500 $28.1871
$28.1871 / $34.2620 Buy Now MFC15-24S Part Details

Chip Stock  

Part # Manufacturer Description Stock Price Price Range Buy
Abracon Corporation RF Filter Band Pass 2450MHz 2400MHz to 2500MHz 1.7dB 50Ohm SMD 4Pin 0402 T/R ADFC15-2450.00-A-T Part Details 125000   RFQ ADFC15-2450.00-A-T Part Details

Associated Part Details

Most Popular Other Transistors

Most Popular Part Numbers